Subject: Re: bug#15998: 24.3; forward-sexp (scan-sexps) doesn't do well with some SEXPs

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Jun 2019 13:06:22 -0400

> But do we want to implement a brand new forward-sexp just for Emacs Lisp?

No, but I think syntax-propertize can take care of those things.

> I'm assuming that a Lisp-based implementation would be
> uncomfortably slow...
>
> To recap, the following doesn't forward-sexp correctly:
>
> 1. #s(...)          hash table
> 2. ^[...] ^^[...]   char table
> 5. ##               empty symbol
> 9. #&N"XXX"         bool vector

[ I believe for (2) there's a missing # in there somewhere, right?  ]

> And especially 1) is rather annoying...

I do wonder when/where these things show up, tho.
I'd expect those to appear in .elc files and in the output of M-: and
IELM buffers, but not in emacs-lisp-mode buffers.

        Stefan